Subject: Tried to be even clearer.

From: fvogel <[email-masked]>
Date: Tue, 14 Jul 2015 19:18:58 +0000

---
 doc/text.n       |  7 ++++---
 generic/tkText.c | 19 +++++++++----------
 2 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/doc/text.n b/doc/text.n
index 1ccadbb..5b7804a 100644
--- a/doc/text.n
+++ b/doc/text.n
@@ -1218,9 +1218,10 @@ If \fIindex2\fR is not specified then the single character at
 \fIindex1\fR is deleted.
 Attempts to delete characters in a way that would leave
 the text without a newline as the last character will be tweaked by the
-text widget to avoid this. In particular, attempts to delete complete
-lines of text up to the end of the text will result in
-deletion of the newline character just preceding \fIindex1\fR.
+text widget to avoid this. In particular, deletion of complete lines of
+text up to the end of the text will also delete the newline character just
+before the deleted block so that it is replaced by the new final newline
+of the text widget.
 The command returns an empty string.
 If more indices are given, multiple ranges of text will be deleted.
 All indices are first checked for validity before any deletions are made.
diff --git a/generic/tkText.c b/generic/tkText.c
index 5042582..eb2d77a 100644
--- a/generic/tkText.c
+++ b/generic/tkText.c
@@ -3000,16 +3000,15 @@ DeleteIndexRange(
      * dummy empty line at the end of the text. If the final newline of the
      * file (just before the dummy line) is being deleted, then back up index
      * to just before the newline. If there is a newline just before the first
-     * character being deleted, then back up the first index too, so that an
-     * even number of lines gets deleted. The idea is that a deletion
-     * involving a range starting at a line start and including the final \n
-     * (i.e. index2 is "end") is an attempt to delete complete lines, so the
-     * \n before the deleted block shall become the new final \n. Furthermore,
-     * remove any tags that are present on the newline that isn't going to be
-     * deleted after all (this simulates deleting the newline and then adding
-     * a "clean" one back again). Note that index1 and index2 might now be
-     * equal again which means that no text will be deleted but tags might be
-     * removed.
+     * character being deleted, then back up the first index too. The idea is
+     * that a deletion involving a range starting at a line start and
+     * including the final \n (i.e. index2 is "end") is an attempt to delete
+     * complete lines, so the \n before the deleted block shall become the new
+     * final \n. Furthermore, remove any tags that are present on the newline
+     * that isn't going to be deleted after all (this simulates deleting the
+     * newline and then adding a "clean" one back again). Note that index1 and
+     * index2 might now be equal again which means that no text will be
+     * deleted but tags might be removed.
      */
 
     line1 = TkBTreeLinesTo(textPtr, index1.linePtr);
-- 
cgit v0.12